1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Erro ao Instalar Linux em portatil antigo com XP

Discussão em 'Dúvidas e Suporte Técnico - GNU/Linux & *nix' iniciada por fmn_69, 3 de Dezembro de 2015. (Respostas: 8; Visualizações: 810)

  1. fmn_69

    fmn_69 Power Member

    Boas,

    Tenho um portatil antigo com windows Xp e queria experimentar uma distro Linux (pela primeira vez) devido a lentidao do XP.

    O portatil é um Acer Aspire 2012WLMI com estas carateristicas:
    • 15.4 WXGA screen (1280 x 800)
    • 1.5 Ghz Pentium-M CPU (1Mb L2 Cache)
    • 1 GB PC2700 (333 Mhz DDR) Ram (2 x 512mb sticks of Kingston ValueRam)*
    • 60 GB 4200rpm HDD (Hitachi Travelstar 80GN)
    • 64 MB ATI Mobility Radeon 9700 GPU
    • Intel 2200BG Pro Wireless
    • DVD-Dual Drive
    Andei a ler muita coisa antes e fiquei interessado onde dizia que poderia experimentar a partir do dvd ou usb sem instalar no pc.
    Saquei o Lubuntu e o Zorin OS 10 Lite (esta ultima é mto mais bonito que os outros que vi...).

    Os problemas começaram agora e onde preciso da vossa ajuda:
    1. Nao consigo fazer boot a partir de USB (nao aparece nas opçoes no menu de Boot, apenas disco, cd/dvd, floppy drive, internet (qq coisa do genero nao me lembro ao certo))
    2. Boot pelo dvd entao:
    • primeiro erro ao reiniciar com o dvd: non PAE error. Consegui ultrapassar esse erro
    • segundo erro que nao consigo transpor: /casper/vmlinuz: file not found o ficheiro esta la, li na net que bastaria mudar a extensao vmlinuz --> vmlinuz.efi... mas sendo um dvd nao consigo alterar o ficheiro e nao consigo fazer mais nada tt com o Zorin como o Lubuntu... ajuda faz favor
    Acham as distros boas ou recomendam outras? Sou novo no mundo Linux..
     
  2. Gotham

    Gotham Power Member

    1- Para fazeres boot através da pen em pc's que não permitem essa possibilidade usa o Plop Boot Manager. Gravas este para um cd, arrancas pelo cd e depois escolhes a pen.

    2-Nunca me aconteceu o erro de não encontrar o ficheiro. Não será problema do leitor/gravador já que faz isso com duas distros? De qualquer forma, tenta através da pen usando o programa de que te falei em cima.

    Nunca usei Zorin mas o Lubuntu é bom para pc's antigos. Tens também LXLE, wattOS, Bodhi e mais uns quantos:
    http://distrowatch.com/search.php?o...=All&isosize=All&netinstall=All&status=Active
     
  3. Minguno

    Minguno Power Member

    Hum acertaste na muche com o Lubuntu e Lubuntu derivados - têm problemas exactamente com o Pentium M, o lite da Zorin há-de ser baseado em Lubuntu e portanto dá erro tb.

    A forma para saltar o erro é forcepae parâmetro a kernel em boot sequence.

    Depois de instalar é preciso adicionar o forcepae ao Grub boot parameters.

    sobre o casper ->

    Depois de baixar o ISO conferir sempre o hash MD5Sum.

    Se confere pode ser devido à pen drive ela pára e fica sem dar , às vezes acontece em random principalmente se a pen drive não for formatada préviamente a zeros, se a ISO ocupar muito extensa e for escrita em alto desempenho (digamos que fica à nora) apesar de ter tudo lá. Pode funcionar fazer um replug quando vai lançar o casper mas pode queimar a pen , se ela funcionar no replug vai extrair a imagem sem problema pois esse é o passo prévio ao lançamento gráfico dela.

    Usa UNetbootin versão 491 para windows para gravar a pen - recordar que algumas versões posteriores estão capadas quando se lançam em WIndows simplesmente "estragam" e geram erros de boot em Pen, algo que está escrito no sourceforge do UNetbootin que recomendam o uso de versão 491 para Windows.

    POdes baixar outras distros por exemplo a Antix ou o sparkylinux que oferecem versões non-pae assim certificas mais que tem hipótese de funcionar bem a instalação. Infelizmente muitos projectos têm os old hardware num canto e dedicam-se mais ao presente etão podem acontecer erros em algumas arquitecturas.

    No meu caso já me ocorreu variadissimas vezes o problema com pens que tu falas nomeadamente o vmlinuz extraction e é um erro que pode ter várias causas , o principal aqui é saber se o md5sum confere e depois ver documentação .

    No caso de boot por usb devo referir que algumas máquinas só mostram a opção em função tecla (F12, F10 etc) tendo a função activa na Bios se estiver disabled não a mostram não a activam e não a suportam nesse tipo de boot.
     
  4. fmn_69

    fmn_69 Power Member

    Obrigado pelas respostas.

    Qual a distro k recomendam k não daria tanto problemas. E k da para testar do dvd/usb... Puppy?
     
  5. Caro amigo Fmn,se for distro K,ambiente kde,é muito pesado para máquinas antigas,após muitos testes,minha conclusão é,Baixe uma iso perfeita,sem erros,e as opções para o seu hardware ai eu citaria o Bunsenlabs Hydrogene,vem com openbox por padrão mas é levissimo com Lxde,é só dar um apt-get install Lxde e entrar na sessão com esse ambiente gráfico,outras sugestões que já testei e usei foram o xubuntu,o manjaro xfce,o Puppy,sempre as iso sem PAE,32 bits,se seu processador for 64 o Tarhpup é uma boa pedida tambêm..
     
  6. Minguno

    Minguno Power Member

    Bunsenlabs ou Slackel ou alguma outra openbox , não recomendo os Lubuntu porque têm problemas com Pentiums-M.
     
  7. fmn_69

    fmn_69 Power Member

    Boas.
    Como nao queria abrir um novo tópico dp de tanto para o mesmo tema:

    Para o PC (ver 1ºpost), qual a distro Linux que correria sem problemas? Alguma novidade?
    Nao tenho experiência em Linux por isso seria bom uma coisa friendly-user. Queria dar uma nova vida ao PC que está em boas condições considerando a idade (a bateria ainda esta boa!).

    Obrigado
     
  8. Instala slackware 32 bits com Xfce ou então fluxbox se tiveres paciencia para o configurar.
    Mas o xfce já vem configurado e é bastante parecido com o janelas.
     
  9. Dark Kaeser

    Dark Kaeser Power Member

    Também tens como disse um camarada mais acima as variantes do Puppy, que ainda têm ISO para 32bits

    http://puppylinux.com/

    O PuppyLinux 8.0 é mais recente, na release vem com a referência
    ou seja à partida indica que deve ter os problemas que tiveste ao início.

    Tens a anterior Puppy Linux 7.5 a.k.a. XenialPup 7.5 que essa sim não trás o PAE
    http://blog.puppylinux.com/xenialpup-released
     

Partilhar esta Página